<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>main module &mdash; Documentation Quelle est sa place 1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="prev" title="quelle-est-sa-place" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            Quelle est sa place
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" aria-label="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">quelle-est-sa-place</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">main module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Quelle est sa place</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">quelle-est-sa-place</a></li>
      <li class="breadcrumb-item active">main module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/main.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-main">
<span id="main-module"></span><h1>main module<a class="headerlink" href="#module-main" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="main.quel_est_sa_place">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">quel_est_sa_place</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#main.quel_est_sa_place" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Cette fonction demande à l’utilisateur de saisir une phrase et un caractère,
puis recherche la position de ce caractère dans la phrase. Elle affiche ensuite
les positions où le caractère a été trouvé ou un message indiquant que le caractère
n’est pas présent dans la phrase.</p>
<p>Entrées:
- Aucun argument n’est pris en compte lors de l’appel de la fonction. L’utilisateur</p>
<blockquote>
<div><p>est invité à saisir une phrase et un caractère à l’aide des fonctions “input”.</p>
</div></blockquote>
<p>Sortie:
- Cette fonction n’a pas de valeur de retour explicite. Elle affiche les résultats à l’écran</p>
<blockquote>
<div><p>en fonction des résultats de la recherche.</p>
</div></blockquote>
<p>Exemple d’utilisation:
&gt;&gt;&gt; quel_est_sa_place()
Veuillez saisir une phrase : Bonjour tout le monde
Veuillez saisir un caractère : o</p>
<p>On retrouve le caractère “o” à la position [2, 4, 9, 13]</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">quel_est_sa_place</span><span class="p">()</span>
<span class="go">Veuillez saisir une phrase : Hello, World!</span>
<span class="go">Veuillez saisir un caractère : x</span>
</pre></div>
</div>
<p>Le caractère “x” n’est pas présent dans la phrase</p>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="modules.html" class="btn btn-neutral float-left" title="quelle-est-sa-place" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>